Export Label Set
Export a Label Set file from your Vault. The exported Label Set file is a CSV editable in any text editor or translation software. You can request one (1) message type in one (1) Label Set per request. Learn more about the Label Set file schema in Vault Help
This request starts an asynchronous job that exports the Label Set file to your Vault’s file staging. You can then download this file with the Download Item Content request or Vault Toolbox.
To import a Label Set, use the Import Bulk Translation File request and set the message_type to field_labels__sys.
You must have the Admin: Language: Read permission to export a Label Set file from Vault.
/api/{version}/messages/{message_type}/label_set/{name}/actions/exportHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{message_type} | The message type name, which must be field_labels__sys. |
{name} | A valid Label Set, for example, medical_english__c. Active and Inactive Label Sets are both valid. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/messages/field_labels__sys/label_set/medical_english__c/actions/export' \Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"url": "/api/v26.1/services/jobs/536801",
"jobId": "536801"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the url and job_id of the job. You can use this to retrieve the status and results of the request.
When the job is complete, the Label Set file is available on your Vault’s file staging. Retrieving the job status of this completed job provides the href to download the CSV from file staging.